# Savings plan events

Savings plan events

Endpoint: POST Savings plan events
Version: 1.135.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "SAVINGS_PLAN.CREATED", "SAVINGS_PLAN.CANCELLED"

  - `object` (any, required) — one of:
    - Savings plan (instrument):
      - `id` (string, required)
      - `user_id` (string, required)
        User unique identifier.
      - `account_id` (string, required)
        Account unique identifier.
      - `type` (string, required)
        Type of the Savings plan.
* PORTFOLIO - 
* INSTRUMENT -
        Enum: "PORTFOLIO", "INSTRUMENT"
      - `cash_amount` (string, required)
      - `currency` (string, required)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: "EUR", "GBP"
      - `start_date` (string, required)
        First date of the savings plan execution in YYYY-MM-DD format.
      - `period` (string, required)
        Unit of time. 
* WEEK - 
* MONTH - 
* YEAR -
        Enum: "WEEK", "MONTH", "YEAR"
      - `interval` (integer, required)
        Number of periods between executions
      - `created_at` (string, required)
        Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `updated_at` (string, required)
        Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `name` (string)
        Savings plan name
      - `instrument_id` (any)
        Instrument unique identifier.
      - `instrument_id_type` (string)
        The type of the ID used in the request.
* ISIN - International Securities Identification Number
* WKN - German securities identification code
        Enum: "ISIN", "WKN"
      - `status` (string)
        Status of a Savings Plan. 
* ACTIVE - 
* CANCELLED -
        Enum: "ACTIVE", "CANCELLED"
      - `fee_configuration` (array)
      - `fee_configuration.type` (string, required)
        Fee type
* TRANSACTION_FEE_BUY -
        Enum: "TRANSACTION_FEE_BUY"
      - `fee_configuration.transaction_fee_model_id` (string, required)
        Fee model unique identifier.
      - `cancellation_reason` (string)
        Explains the reason why the savings plan was cancelled .
* CANCELLED_BY_CLIENT: The savings plan was cancelled by the client.
* CANCELLED_BY_UPVEST: The savings plan was cancelled by Upvest.
        Enum: "CANCELLED_BY_CLIENT", "CANCELLED_BY_UPVEST"
      - `cancellation_details` (string)
        Additional details about the cancellation
    - Savings plan (portfolio):
      - `id` (string, required)
      - `user_id` (string, required)
        User unique identifier.
      - `account_id` (string, required)
        Account unique identifier.
      - `type` (string, required)
        Type of the Savings plan.
* PORTFOLIO - 
* INSTRUMENT -
        Enum: same as `type` in "Savings plan (instrument)" (2 values)
      - `cash_amount` (string, required)
      - `currency` (string, required)
        Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
        Enum: same as `currency` in "Savings plan (instrument)" (2 values)
      - `start_date` (string, required)
        First date of the savings plan execution in YYYY-MM-DD format.
      - `period` (string, required)
        Unit of time. 
* WEEK - 
* MONTH - 
* YEAR -
        Enum: same as `period` in "Savings plan (instrument)" (3 values)
      - `interval` (integer, required)
        Number of periods between executions
      - `created_at` (string, required)
        Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `updated_at` (string, required)
        Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `name` (string)
        Savings plan name
      - `instrument_id` (any)
        Instrument unique identifier.
      - `instrument_id_type` (string)
        The type of the ID used in the request.
* ISIN - International Securities Identification Number
* WKN - German securities identification code
        Enum: same as `instrument_id_type` in "Savings plan (instrument)" (2 values)
      - `status` (string)
        Status of a Savings Plan. 
* ACTIVE - 
* CANCELLED -
        Enum: same as `status` in "Savings plan (instrument)" (2 values)
      - `cancellation_reason` (string)
        Explains the reason why the savings plan was cancelled .
* CANCELLED_BY_CLIENT: The savings plan was cancelled by the client.
* CANCELLED_BY_UPVEST: The savings plan was cancelled by Upvest.
        Enum: same as `cancellation_reason` in "Savings plan (instrument)" (2 values)
      - `cancellation_details` (string)
        Additional details about the cancellation

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
